<?php // Do not delete these lines
	if (isset($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');
	
	if ( post_password_required() ) { ?>
		<p class="nocomments"><?php _e('This post is password protected. Enter the password to view comments.', 'lalala'); ?></p> 
	<?php
		return;
	}
?>

<!-- You can start editing here. -->

<?php if ( have_comments() ) : ?>
	<h3 id="comments"><?php comments_number(__('No Responses', 'lalala'), __('One Response', 'lalala'), __('% Responses', 'lalala'));?> <?php printf(__('to &#8220;%s&#8221;', 'lalala'), the_title('', '', false)); ?></h3>

	<?php
	$nav_previous_comments_link = previous_comments_link_rt();
	$nav_next_comments_link = next_comments_link_rt();
	if ( ( $nav_previous_comments_link != "" )||( $nav_next_comments_link != "" ) ) {
			echo ("<ul class=\"navigation\">\n");
			if ($nav_previous_comments_link != '') {
				echo ("\t\t\t<li class=\"nextlink\">$nav_previous_comments_link</li>\n");
			}else{
				echo "\t\t\t<li class=\"nextlink\">";
				echo __('&laquo; Older Comments', 'lalala');
				echo "</li>\n";
			}
			if ($nav_next_comments_link != '') {
				echo ("\t\t\t<li class=\"prevlink\">$nav_next_comments_link</li>\n");
			}else{
				echo "\t\t\t<li class=\"prevlink\">";
				echo __('Newer Comments &raquo;', 'lalala');
				echo "</li>\n";
			}
			echo ("\t\t</ul>\n");
		}
		?>

	<ol class="commentlist">
	<?php wp_list_comments();?>
	</ol>

	<?php
	$nav_previous_comments_link = previous_comments_link_rt();
	$nav_next_comments_link = next_comments_link_rt();
	if ( ( $nav_previous_comments_link != "" )||( $nav_next_comments_link != "" ) ) {
			echo ("<ul class=\"navigation\">\n");
			if ($nav_previous_comments_link != '') {
				echo ("\t\t\t<li class=\"nextlink\">$nav_previous_comments_link</li>\n");
			}else{
				echo "\t\t\t<li class=\"nextlink\">";
				echo __('&laquo; Older Comments', 'lalala');
				echo "</li>\n";
			}
			if ($nav_next_comments_link != '') {
				echo ("\t\t\t<li class=\"prevlink\">$nav_next_comments_link</li>\n");
			}else{
				echo "\t\t\t<li class=\"prevlink\">";
				echo __('Newer Comments &raquo;', 'lalala');
				echo "</li>\n";
			}
			echo ("\t\t</ul>\n");
		}
		?>

 <?php else : // this is displayed if there are no comments so far ?>

	<?php if ('open' == $post->comment_status) : ?>
		<!-- If comments are open, but there are no comments. -->

	 <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<p class="nocomments"><?php _e('Comments are closed.', 'lalala'); ?></p>

	<?php endif; ?>
<?php endif; ?>


<?php if ('open' == $post->comment_status) : ?>

<div id="respond">

<h3><?php comment_form_title( __('Leave a Reply', 'lalala'), __('Leave a Reply for %s' , 'lalala') ); ?></h3>

<div id="cancel-comment-reply"> 
	<?php cancel_comment_reply_link() ?>
</div> 

<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<p><?php printf(__('You must be <a href="%s">logged in</a> to post a comment.', 'lalala'), get_option('siteurl') . '/wp-login.php?redirect_to=' . urlencode(get_permalink())); ?></p>
<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<?php if ( $user_ID ) : ?>

<p><?php printf(__('Logged in as <a href="%1$s">%2$s</a>.', 'lalala'), get_option('siteurl') . '/wp-admin/profile.php', $user_identity); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="<?php _e('Log out of this account', 'lalala'); ?>"><?php _e('Log out &raquo;', 'lalala'); ?></a></p>

<?php else : ?>

<p class="comform"><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?> />
<label for="author"><?php _e('Name', 'lalala'); ?> <?php if ($req) _e("(required)", "lalala"); ?></label></p>

<p class="comform"><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?> />
<label for="email"><?php _e('Mail (will not be published)', 'lalala'); ?> <?php if ($req) _e("(required)", "lalala"); ?></label></p>

<p class="comform"><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
<label for="url"><?php _e('Website', 'lalala'); ?></label></p>

<?php endif; ?>

<!--<p><?php printf(__('<strong>XHTML:</strong> You can use these tags: <code>%s</code>', 'lalala'), allowed_tags()); ?></p>-->

<p class="comform"><textarea name="comment" id="comment" cols="50" rows="10" tabindex="4"></textarea></p>

<p><input name="submit" type="submit" id="submit" tabindex="5" value="<?php _e('Submit Comment', 'lalala'); ?>" />
<?php comment_id_fields(); ?> 
</p>
<?php do_action('comment_form', $post->ID); ?>

</form>

<?php endif; // If registration required and not logged in ?>
</div>

<?php endif; // if you delete this the sky will fall on your head ?>
