<?php get_header(); ?>

	<div id="content">

	<?php if (have_posts()) : ?>

		<?php while (have_posts()) : the_post(); ?>

			<div class="post" id="post-<?php the_ID(); ?>">
				<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'lalala'), the_title_attribute('echo=0')); ?>"><?php the_title(); ?></a></h2>
				<p class="date"><?php the_time(__('F jS, Y', 'lalala')) ?> <!-- by <?php the_author_posts_link() ?> --></p>

				<div class="entry">
					<?php the_content(__('Read the rest of this entry &raquo;', 'lalala')); ?>
				</div>

				<p class="postmetadata"><?php the_tags(__('Tags:', 'lalala') . ' ', ', ', '<br />'); ?> <?php printf(__('Posted in %s', 'lalala'), get_the_category_list(', ')); ?> | <?php edit_post_link(__('Edit', 'lalala'), '', ' | '); ?>  <?php comments_popup_link(__('No Comments &#187;', 'lalala'), __('1 Comment &#187;', 'lalala'), __('% Comments &#187;', 'lalala')); ?></p>
			</div>

		<?php endwhile; ?>

		<?php
		$nav_next_post_link = next_posts_link_rt(__('&laquo; Older Entries', 'lalala'));
		$nav_prev_post_link = previous_posts_link_rt(__('Newer Entries &raquo;', 'lalala'));
		if ( ( $nav_next_post_link != "" )||( $nav_prev_post_link != "" ) ) {
			echo ("<ul class=\"navigation\">\n");
			if ($nav_next_post_link != '') {
				echo ("\t\t\t<li class=\"nextlink\">$nav_next_post_link</li>\n");
			}else{
				echo "\t\t\t<li class=\"nextlink\">";
				echo __('&laquo; Older Entries', 'lalala');
				echo "</li>\n";
			}
			if ($nav_prev_post_link != '') {
				echo ("\t\t\t<li class=\"prevlink\">$nav_prev_post_link</li>\n");
			}else{
				echo "\t\t\t<li class=\"prevlink\">";
				echo __('Newer Entries &raquo;', 'lalala');
				echo "</li>\n";
			}
			echo ("\t\t</ul>\n");
		}
		?>

	<?php else : ?>
		<div class="notfound">
		<h2><?php _e('Not Found', 'lalala'); ?></h2>
		<p><?php _e('Sorry, but you are looking for something that isn&#8217;t here.', 'lalala'); ?></p>
		<?php include (TEMPLATEPATH . "/searchform.php"); ?>
		</div>
	<?php endif; ?>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
