<?php
/*
*
* メール送信。
*
*/

/* ダブルコーテーションやバックスラッシュにバックスラッシュがついてしまう
   場合に 1 を設定。通常は0で自動判定。 */
$force_strip = 0;


/** Sets up the WordPress Environment. */
require( dirname(__FILE__) . '/../../../wp-load.php' );

$comment_author       = ( isset($_POST['author']) )  ? trim(strip_tags($_POST['author'])) : null;
$comment_author_email = ( isset($_POST['email']) )   ? trim($_POST['email']) : null;
$comment_author_url   = ( isset($_POST['url']) )     ? trim($_POST['url']) : null;
$comment_content      = ( isset($_POST['comment']) ) ? trim($_POST['comment']) : null;
$comment_check      = ( isset($_POST['check']) ) ? trim($_POST['check']) : null;

// magic_quotes_gpcの値がONなら\削除
if ( get_magic_quotes_gpc()||$force_strip ) {
	$comment_author = stripslashes( $comment_author );
	$comment_author_email = stripslashes( $comment_author_email );
	$comment_author_url = stripslashes( $comment_author_url );
	$comment_content = stripslashes( $comment_content );
}

if ( 6 > strlen($comment_author_email) || '' == $comment_author )
	wp_die( __('Error: please fill the required fields (name, email).') );
elseif ( !is_email($comment_author_email))
	wp_die( __('Error: please enter a valid email address.') );
if ( '' == $comment_content )
	wp_die( __('Error: please type a comment.') );

setcookie('comment_author_' . COOKIEHASH, $comment_author, time() + 30000000, COOKIEPATH, COOKIE_DOMAIN);
	setcookie('comment_author_email_' . COOKIEHASH, $comment_author_email, time() + 30000000, COOKIEPATH, COOKIE_DOMAIN);
	setcookie('comment_author_url_' . COOKIEHASH, clean_url($comment_author_url), time() + 30000000, COOKIEPATH, COOKIE_DOMAIN);
?>
<?php get_header(); ?>

	<div id="content">
<?php 
if ($comment_check =="check") { // 確認済
	$adminemail = get_bloginfo('admin_email'); # WordPress 管理人のメールアドレス
	$subject = __('from Mailform', 'lalala')."(".get_bloginfo('title').")";
	$message = "from: ".$comment_author."\n"
			."email: ".$comment_author_email."\n"
			."URL:   ".$comment_author_url."\n"
			.$comment_content."\n";
	$message .= "\n(End of message)\n\n";
	$message .= "\n======= Environment variable ======= \n";
	foreach ($_SERVER as $k => $v ){
		$message .= $k.": ".$v."\n";
	}

	wp_mail($adminemail, $subject, $message);
?>
	<h2 id="mail"><?php _e('Sent', 'lalala'); ?></h2>
		<p class="sent"><?php _e('Your mail was sent.', 'lalala'); ?></p>

<?php 
} else { //要確認
	$charset = "UTF-8";
	$double_encode = FALSE;

	$comment_author = htmlspecialchars( $comment_author,ENT_COMPAT,$charset,$double_encode);
	$comment_author_email = htmlspecialchars( $comment_author_email,ENT_COMPAT,$charset,$double_encode);
	$comment_author_url   = ( isset($comment_author_url ) )    ? htmlspecialchars( $comment_author_url,ENT_COMPAT,$charset,$double_encode) : null;
	$comment_content = htmlspecialchars( $comment_content,ENT_NOQUOTES,$charset,$double_encode);
?>
	<h2 id="mail"><?php _e('Confirmation', 'lalala'); ?></h2>
	<form action="<?php bloginfo('template_directory'); ?>/mail.php" method="post" id="mailform">
		<p class="comform"><?php  _e('Name (required)', 'lalala'); ?>: <?php echo $comment_author; ?>
		<input type="hidden" name="author" id="author" value="<?php echo $comment_author; ?>" /></p>
		<p class="comform"><?php  _e('Mail (required)', 'lalala'); ?>:  <?php echo $comment_author_email; ?>
		<input type="hidden" name="email" id="email" value="<?php echo $comment_author_email; ?>" /></p>
		<p class="comform"><?php  _e('Website', 'lalala'); ?>:  <?php echo $comment_author_url; ?>
		<input type="hidden" name="url" id="url" value="<?php echo $comment_author_url; ?>" /></p>
		<p class="comform"><textarea class="readonly" name="comment" id="comment" cols="50" rows="10" readonly = "readonly"><?php echo $comment_content; ?></textarea>
		<input type="hidden" name="check" id="check" value="check" /></p>
		<p><input name="submit" type="submit" id="submit" tabindex="5" value="<?php  _e('Send mail', 'lalala'); ?>" /></p>
	</form>
<?php
} //要確認ここまで

?>
	</div>


<?php get_sidebar(); ?>

<?php get_footer(); ?>
