<?php get_header(); ?>

	<div id="content">

<?php if (have_posts()) : ?>

 	  <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
 	  <?php /* If this is a category archive */ if (is_category()) { ?>
		<h2 class="pagetitle"><?php printf(__('Archive for the &#8216;%s&#8217; Category', 'lalala'), single_cat_title('', false)); ?></h2>
 	  <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
		<h2 class="pagetitle"><?php printf(__('Posts Tagged &#8216;%s&#8217;', 'lalala'), single_tag_title('', false) ); ?></h2>
 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="pagetitle"><?php printf(_c('Archive for %s|Daily archive page', 'lalala'), get_the_time(__('F jS, Y', 'lalala'))); ?></h2>
 	  <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="pagetitle"><?php printf(_c('Archive for %s|Monthly archive page', 'lalala'), get_the_time(__('F, Y', 'lalala'))); ?></h2>
 	  <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="pagetitle"><?php printf(_c('Archive for %s|Yearly archive page', 'lalala'), get_the_time(__('Y', 'lalala'))); ?></h2>
	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="pagetitle"><?php _e('Author Archive', 'lalala'); ?></h2>
 	  <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h2 class="pagetitle"><?php _e('Blog Archives', 'lalala'); ?></h2>
 	  <?php } ?>


		<?php
		$nav_next_post_link = next_posts_link_rt(__('&laquo; Older Entries', 'lalala'));
		$nav_prev_post_link = previous_posts_link_rt(__('Newer Entries &raquo;', 'lalala'));
		if ( ( $nav_next_post_link != "" )||( $nav_prev_post_link != "" ) ) {
			echo ("<ul class=\"navigation\">\n");
			if ($nav_next_post_link != '') {
				echo ("\t\t\t<li class=\"nextlink\">$nav_next_post_link</li>\n");
			}else{
				echo "\t\t\t<li class=\"nextlink\">";
				echo __('&laquo; Older Entries', 'lalala');
				echo "</li>\n";
			}
			if ($nav_prev_post_link != '') {
				echo ("\t\t\t<li class=\"prevlink\">$nav_prev_post_link</li>\n");
			}else{
				echo "\t\t\t<li class=\"prevlink\">";
				echo __('Newer Entries &raquo;', 'lalala');
				echo "</li>\n";
			}
			echo ("\t\t</ul>\n");
		}
		?>

		<?php while (have_posts()) : the_post(); ?>
		<div class="post">
				<h3 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'lalala'), the_title_attribute('echo=0')); ?>"><?php the_title(); ?></a></h3>
				<p class="date"><?php the_time(__('l, F jS, Y', 'lalala')) ?></p>

				<div class="entry">
					<?php the_content(__('Read the rest of this entry &raquo;', 'lalala')); ?>
				</div>

				<p class="postmetadata"><?php the_tags(__('Tags:', 'lalala'), ', ', '<br />'); ?> <?php printf(__('Posted in %s', 'lalala'), get_the_category_list(', ')); ?> | <?php edit_post_link(__('Edit', 'lalala'), '', ' | '); ?>  <?php comments_popup_link(__('No Comments &#187;', 'lalala'), __('1 Comment &#187;', 'lalala'), __('% Comments &#187;', 'lalala')); ?></p>

			</div>

		<?php endwhile; ?>

		<?php
		$nav_next_post_link = next_posts_link_rt(__('&laquo; Older Entries', 'lalala'));
		$nav_prev_post_link = previous_posts_link_rt(__('Newer Entries &raquo;', 'lalala'));
		if ( ( $nav_next_post_link != "" )||( $nav_prev_post_link != "" ) ) {
			echo ("<ul class=\"navigation\">\n");
			if ($nav_next_post_link != '') {
				echo ("\t\t\t<li class=\"nextlink\">$nav_next_post_link</li>\n");
			}else{
				echo "\t\t\t<li class=\"nextlink\">";
				echo __('&laquo; Older Entries', 'lalala');
				echo "</li>\n";
			}
			if ($nav_prev_post_link != '') {
				echo ("\t\t\t<li class=\"prevlink\">$nav_prev_post_link</li>\n");
			}else{
				echo "\t\t\t<li class=\"prevlink\">";
				echo __('Newer Entries &raquo;', 'lalala');
				echo "</li>\n";
			}
			echo ("\t\t</ul>\n");
		}
		?>

	<?php else : ?>

		<h2 class="notfound"><?php _e('Not Found', 'lalala'); ?></h2>
		<?php include (TEMPLATEPATH . '/searchform.php'); ?>

	<?php endif; ?>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
