<?php
/*
Template Name: Mailform
*/
?>
<?php get_header(); ?>

	<div id="content">

		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<div class="post" id="post-<?php the_ID(); ?>">
		<h2><?php the_title(); ?></h2>
				<p class="date"><?php the_time(__('F jS, Y', 'lalala')) ?> <!-- by <?php the_author() ?> --></p>
			<div class="entry">
				<?php the_content('<p class="serif">' . __('Read the rest of this page &raquo;', 'lalala') . '</p>'); ?>

				<?php wp_link_pages(array('before' => '<p class="pages"><strong>' . __('Pages:', 'lalala') . '</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>

			</div>
		</div>
		<?php endwhile; endif; ?>
	<?php edit_post_link(__('Edit this entry.', 'lalala'), '<p class="editthis">', '</p>'); ?>
	<?php comments_template(); ?>
	<?php
	/*
	  メールフォーム開始
	*/ 
	sanitize_comment_cookies();
	$commenter = wp_get_current_commenter();
	extract($commenter, EXTR_SKIP);
	// $comment_author, $comment_author_email, $comment_author_url が定義される
	?>
	<h3 id="mail"><?php  _e('Mailform', 'lalala'); ?></h3>
	<form action="<?php bloginfo('template_directory'); ?>/mail.php" method="post" id="mailform">
	<p class="comform"><input type="text" name="author" id="author" value="<?php echo $comment_author ?>" size="22" tabindex="1" />
	<label for="author"><?php  _e('Name (required)', 'lalala'); ?></label></p>
	<p class="comform"><input type="text" name="email" id="email" value="<?php echo $comment_author_email ?>" size="22" tabindex="2" />
	<label for="email"><?php  _e('Mail (required)', 'lalala'); ?></label></p>
	<p class="comform"><input type="text" name="url" id="url" value="<?php echo $comment_author_url ?>" size="22" tabindex="3" />
	<label for="url"><?php  _e('Website', 'lalala'); ?></label></p>
	<p class="comform"><textarea name="comment" id="comment" cols="50" rows="10" tabindex="4"></textarea></p>
	<p><input name="submit" type="submit" id="submit" tabindex="5" value="<?php  _e('Send mail', 'lalala'); ?>" />
	</p>
	</form>
	<?php
	/*
	  メールフォーム終了
	*/ ?>
	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
