<?php get_header(); ?>

	<div id="content">

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		<?php
		$nav_prev_post_link = previous_post_link_rt('&laquo; %link');
		$nav_next_post_link = next_post_link_rt('%link &raquo;');
		if ( ( $nav_next_post_link != "" )||( $nav_prev_post_link != "" ) ) {
			echo ("<ul class=\"navigation\">\n");
			if ($nav_prev_post_link != '') {
				echo ("\t\t\t<li class=\"nextlink\">$nav_prev_post_link</li>\n");
			}else{
				echo "\t\t\t<li class=\"nextlink\">";
				echo __('&laquo; Older Entries', 'lalala');
				echo "</li>\n";
			}
			if ($nav_next_post_link != '') {
				echo ("\t\t\t<li class=\"prevlink\">$nav_next_post_link</li>\n");
			}else{
				echo "\t\t\t<li class=\"prevlink\">";
				echo __('Newer Entries &raquo;', 'lalala');
				echo "</li>\n";
			}
			echo ("\t\t</ul>\n");
		}
		?>

		<div class="post" id="post-<?php the_ID(); ?>">
			<h2><?php the_title(); ?></h2>
			<p class="date"><?php the_time(__('F jS, Y', 'lalala')) ?> <!-- by <?php the_author() ?> --></p>

			<div class="entry">
				<?php lalala_the_content('<p class="serif">' . __('Read the rest of this entry &raquo;', 'lalala') . '</p>'); ?>

				<?php wp_link_pages(array('before' => '<p class="pages"><strong>' . __('Pages:', 'lalala') . '</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
				<?php the_tags( '<p class="postmetadata">' . __('Tags:', 'lalala') . ' ', ', ', '</p>'); ?>

				<p class="postmetadata">
						<?php printf(__('This entry was posted %1$s on %2$s at %3$s and is filed under %4$s.', 'lalala'), $time_since, get_the_time(__('l, F jS, Y', 'lalala')), get_the_time(), get_the_category_list(', ')); ?>
						<?php printf(__("You can follow any responses to this entry through the <a href='%s'>RSS 2.0</a> feed.", "lalala"), get_post_comments_feed_link()); ?> 

						<?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Both Comments and Pings are open ?>
							<?php printf(__('You can <a href="#respond">leave a response</a>, or <a href="%s" rel="trackback">trackback</a> from your own site.', 'lalala'), trackback_url(false)); ?>

						<?php } elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Only Pings are Open ?>
							<?php printf(__('Responses are currently closed, but you can <a href="%s" rel="trackback">trackback</a> from your own site.', 'lalala'), trackback_url(false)); ?>

						<?php } elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Comments are open, Pings are not ?>
							<?php _e('You can skip to the end and leave a response. Pinging is currently not allowed.', 'lalala'); ?>

						<?php } elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Neither Comments, nor Pings are open ?>
							<?php _e('Both comments and pings are currently closed.', 'lalala'); ?>

						<?php } edit_post_link(__('Edit this entry.', 'lalala'),'',''); ?>

				</p>

			</div>
		</div>

	<?php comments_template(); ?>

	<?php endwhile; else: ?>

		<p><?php _e('Sorry, no posts matched your criteria.', 'lalala'); ?></p>

<?php endif; ?>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
